---
title: "Get doc groups created from template"
url: "https://docs.signnow.com/docs/document-group-template/operations/get-v2-document-group-templates-doc_group_template_id-copies"
type: "endpoint"
section: "document-group-template"
slug: "document-group-template/operations/get-v2-document-group-templates-doc_group_template_id-copies"
method: "GET"
path: "/v2/document-group-templates/{doc_group_template_id}/copies"
operation_id: "get-v2-document-group-templates-doc_group_template_id-copies"
authorization: "bearer"
---

# Get doc groups created from template

`GET /v2/document-group-templates/{doc_group_template_id}/copies`

This endpoint allows users to retrieve a list of all document groups created and sent from a specific document group template. Use query parameters to filter, sort, paginate the results, or search for specific search keys.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `doc_group_template_id` | string | Yes | ID of the document group template |

## Query Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `sort_by` | string | No | Sort results by the date of the last update, the creation date, or the document group name. Possible values: `updated`, `created`, and `document_group_name`. |
| `sort_order` | string | No | Sort results in descending or ascending order. Possible values: `asc`, `desc`. |
| `page` | integer | No | Page number to display in the results. For example, if `page=2` and `per_page=10`, you'll get results from 11 to 20. |
| `per_page` | integer | No | Number of document groups displayed per page. |
| `filters[signing_status]` | string | No | Filter results by document group template signing status. Possible values: `waiting-for-me`, `waiting-for-others`, `signed`, `pending`, `has-invites`, `expired`. |
| `search_key` | string | No | Search by key (word, part of word, or phrase). |
| `search_by` | string | No | Specify where to look for the `search_key`. Possible values: `document-name`, `signer-email`, `inviter-email`, `document-text`, and `document-id`. |
| `filters[entity_labels]` | string | No | Filter results by declined or undelivered document group templates. Possible values: `declined`, `undelivered`. |

## Responses

### 200

Success

**Example** (`Example 1`)

```json
{
  "data": [
    {
      "id": "8a8bc73bd272439e853e8d0faf892d4107287c8a",
      "owner": "owner@email.com",
      "state": "created",
      "created": 1688481787,
      "invites": [],
      "updated": 1688481787,
      "user_id": "121c6015e26440c48adbafb720f52007c15c6b0d",
      "documents": [
        {
          "id": "01bc639a1d81408b91df6cb62edd1c9874c46b83",
          "name": "NDA agreement",
          "roles": [
            "Recipient 1"
          ]
        }
      ],
      "invite_id": null,
      "parent_id": "1f982fea8633418494b622ba7ba07bc476ee94ec",
      "freeform_actions": [],
      "freeform_invite_id": null,
      "document_group_name": "Onboarding documents"
    }
  ],
  "meta": {
    "pagination": {
      "count": 1,
      "links": [],
      "total": 1,
      "per_page": 15,
      "total_pages": 1,
      "current_page": 1
    }
  }
}
```

**Example** (`Success (no query parameters)`)

```json
{
  "data": [
    {
      "id": "8a8bc73bd272439e853e8d0faf892d4107287c8a",
      "owner": "owner@email.com",
      "state": "created",
      "created": 1688481787,
      "invites": [],
      "updated": 1688481787,
      "user_id": "121c6015e26440c48adbafb720f52007c15c6b0d",
      "documents": [
        {
          "id": "01bc639a1d81408b91df6cb62edd1c9874c46b83",
          "name": "NDA agreement",
          "roles": [
            "Recipient 1"
          ]
        }
      ],
      "invite_id": null,
      "parent_id": "1f982fea8633418494b622ba7ba07bc476ee94ec",
      "freeform_actions": [],
      "freeform_invite_id": null,
      "document_group_name": "Onboarding documents"
    }
  ],
  "meta": {
    "pagination": {
      "count": 1,
      "links": {},
      "total": 1,
      "per_page": 15,
      "total_pages": 1,
      "current_page": 1
    }
  }
}
```

**Example** (`Success (request with filters)`)

```json
{
  "data": [
    {
      "id": "8a8bc73bd272439e853e8d0faf892d4107287c8a",
      "owner": "owner@mail.com",
      "state": "pending",
      "created": 1688644119,
      "invites": [
        {
          "email": "recipient@mail.com",
          "order": 1,
          "action": "sign",
          "status": "pending",
          "document_id": "01bc639a1d81408b91df6cb62edd1c9874c46b83",
          "email_group": {
            "id": null,
            "name": null
          },
          "document_name": "NDA agreement",
          "authentication": null,
          "expiration_time": 1691236121,
          "is_draft_exists": false,
          "password_method": "",
          "payment_request": null,
          "is_full_declined": false,
          "is_document_locked": "0",
          "password_protected": "0",
          "email_sent_statuses": [
            {
              "status": "sent",
              "created_at": 1688644121,
              "last_reaction_at": 1688644121
            }
          ]
        }
      ],
      "updated": 1688644120,
      "user_id": "121c6015e26440c48adbafb720f52007c15c6b0d",
      "documents": [
        {
          "id": "01bc639a1d81408b91df6cb62edd1c9874c46b83",
          "name": "NDA agreement",
          "roles": [
            "Recipient 1"
          ]
        }
      ],
      "invite_id": null,
      "parent_id": "1f982fea8633418494b622ba7ba07bc476ee94ec",
      "freeform_actions": [],
      "freeform_invite_id": null,
      "document_group_name": "Onboarding documents"
    }
  ],
  "meta": {
    "pagination": {
      "count": 15,
      "links": {
        "next": "https://api.signnow.com/v2/document-group-templates/987187758253e554be162001fecbf5ea19298b30/copies?filters%5Bsigning_status%5D=waiting-for-others&page=2"
      },
      "total": 50,
      "per_page": 15,
      "total_pages": 4,
      "current_page": 1
    }
  }
}
```

### 400

* The Bearer token is incorrect.
* The `page` parameter type is incorrect.
* The `page` parameter value is incorrect.
* The `per_page` parameter type is incorrect.
* The `per_page` parameter value is incorrect.
* The `sort_by` parameter value is incorrect.
* The `sort_order` parameter value is incorrect.
* The `filters[signing_status]` parameter value or format is incorrect.
* The `filters` field value is incorrect.
* The `per_page` parameter exceeds the maximum allowed value.

**Example** (`Example 1`)

```json
{
  "errors": [
    {
      "code": 27003002,
      "message": "Query parameter `page` must be a digit."
    }
  ]
}
```

**Example** (`page cannot be 0`)

```json
{
  "errors": [
    {
      "code": 27003003,
      "message": "Query parameter `page` must be more than 0."
    }
  ]
}
```

**Example** (`Incorrect sort_by`)

```json
{
  "errors": [
    {
      "code": 27003007,
      "message": "Query parameter `sort_by` must be a value of (`updated`, `created` or `document_group_name`)."
    }
  ]
}
```

**Example** (`page is not digit`)

```json
{
  "errors": [
    {
      "code": 27003002,
      "message": "Query parameter `page` must be a digit."
    }
  ]
}
```

**Example** (`Incorrect sort_order`)

```json
{
  "errors": [
    {
      "code": 27003008,
      "message": "Query parameter `sort_order` must be a value of (`desc` or `asc`)."
    }
  ]
}
```

**Example** (`per_page cannot be 0`)

```json
{
  "errors": [
    {
      "code": 27003005,
      "message": "Query parameter `per_page` must be more than 0."
    }
  ]
}
```

**Example** (`per_page is not digit`)

```json
{
  "errors": [
    {
      "code": 27003004,
      "message": "Query parameter `per_page` must be a digit."
    }
  ]
}
```

**Example** (`Incorrect Bearer token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

**Example** (`per_page exceeds the limit`)

```json
{
  "errors": [
    {
      "code": 27003006,
      "message": "Query parameter `per_page` must be less than or equal 100."
    }
  ]
}
```

**Example** (`Incorrect filter in filters field`)

```json
{
  "errors": [
    {
      "code": 27003010,
      "message": "The `filters` field supports only `signing_status`, `entity_labels`."
    }
  ]
}
```

**Example** (`Incorrect filters[signing_status] value`)

```json
{
  "errors": [
    {
      "code": 27003011,
      "message": "The `filters.signing_status` field value must be `waiting-for-me`, `has-invites`, `waiting-for-others`, `pending`, `signed`, `expired`."
    }
  ]
}
```

### 403

The user is not the document group template owner.

**Example** (`Example 1`)

```json
{
  "errors": [
    {
      "code": 27003009,
      "message": "The user has no access to the document group template `429e5182341946bd9600aa71394c265776114c61`."
    }
  ]
}
```

### 404

Document group template ID doesn't exist.

**Example** (`Example 1`)

```json
{
  "errors": [
    {
      "code": 27003001,
      "message": "Document group template `46e29eee369e0f6dece756d0f26a1f06775e7c52` is not found."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/document-group-templates/{doc_group_template_id}/copies" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/document-group-template/operations/get-v2-document-group-templates-doc_group_template_id-copies*
